{ config, ... }:
{
  services.minio = {
    enable = true;
    region = "home";
  };

  services.nginx = {
    enable = true;
    virtualHosts."s3.${config.networking.hostName}.private" = {
      locations."/" = {
        recommendedProxySettings = true;
        proxyWebsockets = true;
        proxyPass = "http://localhost:9001";
      };
    };
  };
}
