{ config, lib, pkgs, ... }:
with pkgs;
with lib;
{
  config = mkIf config.gui.enable {

    home.packages = [

      pureref
      valentina
      sweethome3d.application
      gimp
      inkscape
      imagemagick
      nsxiv
      blender
      lightburn
      darktable

      # CAD & 3D Plotting
      openscad
      freecad
      cura

    ];

  };

}
