{ config, lib, pkgs, ... }:
with pkgs;
with lib;
{

  config = mkIf config.gui.enable {



    # ¯\_(ツ)_/¯
    home.packages = [

      easytag
      dconf

      nixos-shell

      # bluetooth gui
      blueberry

      mosquitto
      (pkgs.writers.writeBashBin "mqtt-tail" ''
        ${pkgs.mosquitto}/bin/mosquitto_sub -v \
                 -h pepe.private \
                 -u homeassistant \
                 -P password \
                 -t "#"
      '')

      tor-browser-bundle-bin
      #(tor-browser-bundle-bin.overrideAttrs (old: rec {
      #  version = "11.0.1";
      #  name = "tor-browser-bundle-${version}";
      #  src = pkgs.fetchurl {
      #    url = "https://dist.torproject.org/torbrowser/11.0.1/tor-browser-linux64-11.0.1_en-US.tar.xz";
      #    sha256 = "1ah69jmfgik063f9gkvyv9d4k706pqihmzc4k7cc95zyd17v8wrs";
      #  };
      #}))

      scraper

      bitwarden

      unstable.trilium-desktop

      nginx-config-formatter

      unstable.yt-dlp

    ];

  };

}
