{ config, lib, pkgs, ... }:
with pkgs;
with lib;
{

  config = mkIf config.gui.enable {
    programs.obs-studio.enable = true;
    home.packages = [

      #(pkgs.makeDesktopItem {
      #  name = "streamdeck-ui";
      #  desktopName = "Streamdeck";
      #  exec = "${streamdeck-ui}/bin/streamdeck-ui";
      #  terminal = false;
      #})
      streamdeck-ui

      emoji-picker

      signal-desktop

      # matrix clients
      # --------------
      #element-desktop
      #fractal
      #legacy_2205.mirage-im
      #cinny-desktop
      fluffychat
      #(fluffychat.overrideAttrs
      #  (old: rec {
      #    version = "1.13.0";
      #    src = fetchFromGitHub {
      #      owner = "krille-chan";
      #      repo = "fluffychat";
      #      rev = "v${version}";
      #      hash = "sha256-w29Nxs/d0b18jMvWnrRUjEGqY4jGtuEGodg+ncCAaVc=";
      #    };
      #    vendorHash = "";
      #  })
      #)


    ];

  };
}
