{ config, pkgs, lib, ... }: {

  imports = [
    ../all
  ];

  backup.dirs = [
    "${config.users.users.mainUser.home}/.config/noti"
    "${config.users.users.mainUser.home}/.password-store"
    "${config.users.users.mainUser.home}/.task"
    "${config.users.users.mainUser.home}/.vit"
  ];

  programs.custom = {

    urxvt = {
      enable = true;
      colorTheme = "light";
    };
    xterm = {
      enable = true;
      colorTheme = "light";
    };

    curlScripts.enable = true;
    citate.enable = true;

  };

  services.urxvtd.enable = true;


}

